const { getFoxpageComponentBabelConfig } = require('./main');

module.exports = (context, options = {}) => {
  const isDebug = !!process.env.DEBUG_BABEL;
  const isDevelopIE = !!process.env.DEVELOP_IE;
  const style = process.env.BUILD_STYLE;

  const config = getFoxpageComponentBabelConfig({
    by: !!process.env.BUILD_MODE ? 'webpack' : undefined,
    mode: process.env.BUILD_MODE,
    env: process.env.NODE_ENV,
    developIE: isDevelopIE,
    debug: isDebug,
    esModule: !!process.env.BUILD_ES_MODULE,
    presetEnvOptions: options.presetEnv,
    style: style === 'false' ? false : style,
    ...options,
  });

  return config;
}
